## org.exist.util.serializer
Class SerializerPool

    java.lang.Object
      org.apache.commons.pool.BaseKeyedObjectPool
          org.apache.commons.pool.impl.StackKeyedObjectPool
              org.exist.util.serializer.SerializerPool

All Implemented Interfaces:
  org.apache.commons.pool.KeyedObjectPool

public class SerializerPool
extends org.apache.commons.pool.impl.StackKeyedObjectPool

Author:
  wolf

Constructor Summary
`SerializerPool(org.apache.commons.pool.KeyedPoolableObjectFactory factory, int max, int init)`

Method Summary
`DOMStreamer` `borrowDOMStreamer(Serializer delegate)`
`java.lang.Object` `borrowObject(java.lang.Object key)`
`static SerializerPool` `getInstance()`
`void` `returnObject(java.lang.Object obj)`

Methods inherited from class org.apache.commons.pool.impl.StackKeyedObjectPool
`addObject, clear, clear, close, getNumActive, getNumActive, getNumIdle, getNumIdle, invalidateObject, returnObject, setFactory, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerializerPool

    public SerializerPool(org.apache.commons.pool.KeyedPoolableObjectFactory factory,
                          int max,
                          int init)

Method Detail

### getInstance

    public static final SerializerPool getInstance()

### borrowObject

    public java.lang.Object borrowObject(java.lang.Object key)

### borrowDOMStreamer

    public DOMStreamer borrowDOMStreamer(Serializer delegate)

### returnObject

    public void returnObject(java.lang.Object obj)

Copyright (C) Wolfgang Meier. All rights reserved.